﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class Typewriter : MonoBehaviour {

     public Text textBox;
     public GameObject play;
         //Store all your text in this string array
     string[] goatText;
     int currentlyDisplayingText = 0;
     void Awake () {
         textBox = this.GetComponent<Text>();
         goatText = new string[]{@"        Summary 

You are detective Sherclock, the owner of a cybersecurity detective agency with one special feature - you can time travel! With the help of your aide Watchson, you can stop problems before they even start."};
         StartCoroutine(AnimateText());
     }
         //This is a function for a button you press to skip to the next text
     public void SkipToNextText(){
        StopAllCoroutines();
         currentlyDisplayingText++;
        //If we've reached the end of the array, do anything you want. I just restart the example text
         if (currentlyDisplayingText>goatText.Length) {
            currentlyDisplayingText = 0;
         }
         StartCoroutine(AnimateText());
     }
        //Note that the speed you want the typewriter effect to be going at is the yield waitforseconds (in my case it's 1 letter for every      0.03 seconds, replace this with a public float if you want to experiment with speed in from the editor)
     IEnumerator AnimateText(){
         
         for (int i = 0; i < (goatText[currentlyDisplayingText].Length+1); i++)
         {
             textBox.text = goatText[currentlyDisplayingText].Substring(0, i);
             if(i == goatText[currentlyDisplayingText].Length){
                 play.gameObject.SetActive(true);
             }
             yield return new WaitForSeconds(.03f);
         }
     }

}
